local entrypoints = {}

entrypoints.inventory = require"backups"
entrypoints.steps = {"wmsdb_sync", "api_sync", "sounds_sync", "features_sync"}

entrypoints.api_sync = {
	prepare = function (host, task) return require"steps.api_sync".prepare(host, task) end,
	enroll = function (host, task) return require"steps.api_sync".enroll(host, task) end,
	cleanup = function (host, task) return require"steps.api_sync".cleanup(host, task) end,
}

entrypoints.wmsdb_sync = {
	prepare = function (host, task) return require"steps.wmsdb_sync".prepare(host, task) end,
	enroll = function (host, task) return require"steps.wmsdb_sync".enroll(host, task) end,
	cleanup = function (host, task) return require"steps.wmsdb_sync".cleanup(host, task) end,
}

entrypoints.sounds_sync = {
	prepare = function (host, task) return require"steps.sounds_sync".prepare(host, task) end,
	enroll = function (host, task) return require"steps.sounds_sync".enroll(host, task) end,
	cleanup = function (host, task) return require"steps.sounds_sync".cleanup(host, task) end,
}

entrypoints.features_sync = {
	prepare = function (host, task) return require"steps.features_sync".prepare(host, task) end,
	enroll = function (host, task) return require"steps.features_sync".enroll(host, task) end,
	cleanup = function (host, task) return require"steps.features_sync".cleanup(host, task) end,
}

return entrypoints
