-- collect data ans send email notification
local conf = require"config"
local pbxutils = require"core.pbxutils"

local notify = {
    data = {
        fails = {}
    }
}

function notify.send_email()
    if not (conf["notify"] and conf["notify"]["address"] and conf["notify"]["address"] ~= "") then
        return
    end

    local msg = string.format("Sync started at %s.\r\n", os.date("%c", notify.data["start"]))
    msg = msg .. string.format("Sync stopped at %s.\r\n", os.date("%c", notify.data["stop"]))
    local failed = #(notify.data["fails"])
    msg = msg .. string.format("Total %d processed, %d failed.\r\n", notify.data["count"], failed)
    if failed > 0 then
        msg = msg .. "Failed list:\r\n"
        local rowlen = 10
        for i=1, failed, rowlen do
            local last = i + rowlen - 1
            msg = msg .. table.concat(notify.data["fails"], ",", i, last > failed and failed or last) .. "\r\n"
        end
        msg = msg .. string.format("Check sync log %s on the configurator for details.\r\n", conf.logfile)
    end

    pbxutils.mailto(msg, "failover config sync", conf["notify"]["address"])
end

return notify
