local features = {}

local pbxutils = require"core.pbxutils"

function features.prepare(host, task)
	if not host or "table" ~= type(task) then
		return false, "pbx does not found while preparing data"
	end
	local archive = task["archive"]
	if not archive or "" == archive then
		return false, "pbx name does not exist"
	end

	local untar = "/bin/tar -C /tmp -xzf %s users.tar"
	pbxutils.run(untar, archive)
	-- TODO check archive present?
	return true
end

function features.enroll(host, task)
	if not host or "table" ~= type(task) then
		return false, "pbx does not found while enrolling data"
	end

    local playbook = "/var/lib/callweaver/dialplan/failover/configuration_merger/playbooks/features.yml"
    local extra = "/var/lib/callweaver/dialplan/failover/configuration_merger/playbooks/extra.json"
    local remote_host = task["config"]["dstpbx"]["apihost"]

    local command = 'ansible-playbook -i %s, %s --extra-vars "@%s"'
    local out = pbxutils.run(command, remote_host, playbook, extra)

    if string.find(out, "unreachable=0") and string.find(out, "failed=0") then
        return true
    end

    return false, string.gsub(out, "[\r\n]", "")

end

function features.cleanup(host)
    os.remove("/tmp/users.tar")
    return true
end

return features
