#!/usr/bin/lua5.1

local os = require"os"
local logger = require"core.logger":init("route_call", 3)

local phone = arg[1]
if not phone then
    logger:error("No args")
    os.exit(1)
end

local serial
local ldapData = require"core.wmsldap":get("telephoneNumber", phone, "wPerson")
if #ldapData ~= 0 then
    _, person = unpack(ldapData[1])
    serial = require"core.pbxutils".getPbxSerialByDN(person["pbxowner"] or "")
end

if not serial then
    logger:warning(string.format("Extension %s not found in LDAP", phone))
    os.exit(1)
end

local connection = require"common.core".connection
      connection:switch("wmsdb")
local sql = "SELECT username FROM trunks WHERE username LIKE '%s%%' ORDER BY username;"

local rv = ""
for trunkname in connection:rows(sql, serial) do
    rv = string.format("%s%s,", rv, trunkname)
end

if rv ~= "" then
    logger:info(string.format("Trunks list for %s", phone))
    io.write(rv)
else
    logger:warning(string.format("No PRI/BRI gateways for PBX with serial %s were found", serial))
end
